## schrolist schrolist |

## Synopsis

                        SchroList;
    void                (*SchroListFreeFunc)                (void *member,
                                                             void *priv);
    void                schro_list_append                   (SchroList *list,
                                                             void *value);
    void                schro_list_delete                   (SchroList *list,
                                                             int i);
    void                schro_list_free                     (SchroList *list);
    void *              schro_list_get                      (SchroList *list,
                                                             int i);
    int                 schro_list_get_size                 (SchroList *list);
    void                schro_list_insert                   (SchroList *list,
                                                             int i,
                                                             void *value);
    SchroList *         schro_list_new                      (void);
    SchroList *         schro_list_new_full                 (SchroListFreeFunc freefunc,
                                                             void *priv);
    void                schro_list_prepend                  (SchroList *list,
                                                             void *value);
    void *              schro_list_remove                   (SchroList *list,
                                                             int i);
    void *              schro_list_replace                  (SchroList *list,
                                                             int i,
                                                             void *value);

## Description

## Details

### SchroList

    typedef struct {
      void **members;
      int n;
      int n_alloc;

      SchroListFreeFunc free;
      void *priv;
    } SchroList;

### SchroListFreeFunc ()

    void                (*SchroListFreeFunc)                (void *member,
                                                             void *priv);

`member` : |
`priv` : |

### schro_list_append ()

    void                schro_list_append                   (SchroList *list,
                                                             void *value);

`list` : |
`value` : |

### schro_list_delete ()

    void                schro_list_delete                   (SchroList *list,
                                                             int i);

`list` : |
`i` : |

### schro_list_free ()

    void                schro_list_free                     (SchroList *list);

`list` : |

### schro_list_get ()

    void *              schro_list_get                      (SchroList *list,
                                                             int i);

`list` : |
`i` : |
Returns : |

### schro_list_get_size ()

    int                 schro_list_get_size                 (SchroList *list);

`list` : |
Returns : |

### schro_list_insert ()

    void                schro_list_insert                   (SchroList *list,
                                                             int i,
                                                             void *value);

`list` : |
`i` : |
`value` : |

### schro_list_new ()

    SchroList *         schro_list_new                      (void);

Returns : |

### schro_list_new_full ()

    SchroList *         schro_list_new_full                 (SchroListFreeFunc freefunc,
                                                             void *priv);

`freefunc` : |
`priv` : |
Returns : |

### schro_list_prepend ()

    void                schro_list_prepend                  (SchroList *list,
                                                             void *value);

`list` : |
`value` : |

### schro_list_remove ()

    void *              schro_list_remove                   (SchroList *list,
                                                             int i);

`list` : |
`i` : |
Returns : |

### schro_list_replace ()

    void *              schro_list_replace                  (SchroList *list,
                                                             int i,
                                                             void *value);

`list` : |
`i` : |
`value` : |
Returns : |